import { Button } from "@/components/ui/button"
import {
  Tooltip,
  TooltipContent,
  TooltipProvider,
  TooltipTrigger,
} from "@/components/ui/tooltip"
// styles
import Styles from "./logout.module.css"
import { Helper } from "@/lib/api/helper"
import { apiRoutes } from "@/lib/api/apiRoutes"
import { useDispatch } from "react-redux"
import { setUser } from "@/lib/features/userInfo/userInfo"
function Logout() {
    const dispatch = useDispatch()

    const handleLogout = async()=>{
        const {response , message} = await Helper({
            url:apiRoutes.user.user,
            method:"GET",
            params:{
                action:"logout"
            }
        })
        if(response){
            console.log(response);
            dispatch(setUser({
                email:"",
                photo:"",
                name:""
            }))
            localStorage.removeItem("user")
            localStorage.removeItem("num")
        }
    }
    return ( <TooltipProvider>
        <Tooltip>
          <TooltipTrigger onClick={handleLogout} asChild>

            <span className={`material-symbols-outlined ${Styles.listMenu}`}>
                logout
                </span>
       
          </TooltipTrigger>
          <TooltipContent className="mt-4">
            <p>Logout</p>
          </TooltipContent>
        </Tooltip>
      </TooltipProvider> );
}

export default Logout;